Bug 1449753 - retirement runs in any zone as of 5.7.1
Summary: retirement runs in any zone as of 5.7.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Control
Version: 5.7.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.7.3
Assignee: Tina Fitzgerald
QA Contact: Alex Newman
URL:
Whiteboard: retirement:zone
Depends On: 1447625
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-10 15:13 UTC by Satoe Imaishi
Modified: 2020-08-13 09:10 UTC (History)
10 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1447625
Environment:
Last Closed: 2017-06-28 15:02:38 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-05-10 15:31:04 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/7051ce276be724232cd2d0b4e46b31e8e24f2ab1

commit 7051ce276be724232cd2d0b4e46b31e8e24f2ab1
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed May 10 10:23:00 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed May 10 11:25:54 2017 -0400

    Merge pull request #18 from tinaafitz/add_zone_to_qoptions
    
    Add zone to q_options in call_automate.
    (cherry picked from commit 0495c11579d5751f91c6e6791c65cdd1db09ad88)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1449753

 lib/miq_automation_engine/engine/miq_ae_event.rb   |  1 +
 .../lib/miq_automation_engine/miq_ae_event_spec.rb | 55 +++++++++++++++++++---
 2 files changed, 49 insertions(+), 7 deletions(-)

Comment 3 CFME Bot 2017-05-10 15:31:11 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/2bac4be51677a1bd931ffc2a2f5d871dbf6d2cce

commit 2bac4be51677a1bd931ffc2a2f5d871dbf6d2cce
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed May 10 10:42:12 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed May 10 11:27:49 2017 -0400

    Merge pull request #15026 from tinaafitz/add_zone_to_retirement
    
    Change retire_now to pass zone_name to raise_retirement_event.
    (cherry picked from commit 9e5df30604b9c0fb9fdbb91952a4d70f3fe7abf4)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1449753

 app/models/mixins/retirement_mixin.rb                        | 10 +++++++++-
 .../models/orchestration_stack/retirement_management_spec.rb |  7 ++++---
 spec/models/service/retirement_management_spec.rb            |  6 +++---
 spec/models/vm/retirement_management_spec.rb                 | 12 ++++++++----
 4 files changed, 24 insertions(+), 11 deletions(-)

Comment 7 Tina Fitzgerald 2017-06-01 18:53:03 UTC
The issue is that the orchestration stack does not have a zone. 

The code change included in this ticket uses the zone, if available, when putting retirement events on the queue.

A separate ticket has been opened to address this issue:
https://bugzilla.redhat.com/show_bug.cgi?id=1458011

Comment 9 errata-xmlrpc 2017-06-28 15:02:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.